JsonCutDocs
V2 APIEndpointsProjects

Add a voiceover

Speak a script with a voice and add it to the timeline, one clip per paragraph; with captions: true also word-timed captions from the script. Required API key scopes: `projects:read`, `projects:write`, `media:write`.

POST
/api/v2/projects/{id}/voiceover

Authorization

apiKeyAuth

Path Parameters

id*string

Resource identifier

Header Parameters

If-Match?string

Exact current project version. Required for overwriting mutations unless the numeric body version is supplied for compatibility.

Match^"?[0-9]+"?$

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/projects/string/voiceover" \  -H "If-Match: "1"" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{  "success": true,  "data": {    "project": {      "id": "project_01J",      "name": "Launch film",      "version": 5    },    "requestKey": "launch-vo-1",    "affectedClipIds": [      "audio-3",      "captions-1"    ],    "clips": 2,    "duration": 14.2  }}